wl_object(3)

NAME
wl_object - A protocol object.

SYNOPSIS

#include <wayland-server.h>

  Data Fields

const struct wl_interface * interface
const void * implementation
uint32_t id

Detailed Description

A protocol object.

A wl_object is an opaque struct identifying the protocol object underlying a wl_proxy or wl_resource.

Note
    Functions accessing a wl_object are not normally used by client code. Clients should normally use the higher level interface generated by the scanner to interact with compositor objects.

Field Documentation

  uint32_t wl_object::id

  const void* wl_object::implementation

  const struct wl_interface* wl_object::interface

Author

Generated automatically by Doxygen for Wayland from the source code.